"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.openIOS = void 0;
const tslib_1 = require("tslib");
const open_1 = tslib_1.__importDefault(require("open"));
const colors_1 = tslib_1.__importDefault(require("../colors"));
const common_1 = require("../common");
const log_1 = require("../log");
const common_2 = require("./common");
async function openIOS(config) {
    const xcodeProject = await common_2.findXcodePath(config);
    if (!xcodeProject) {
        log_1.logFatal('Xcode workspace does not exist.\n' +
            `Run ${colors_1.default.input('npx cap add ios')} to bootstrap a new iOS project.`);
    }
    await open_1.default(xcodeProject, { wait: false });
    await common_1.wait(3000);
}
exports.openIOS = openIOS;
